import 'moment-duration-format';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams, GetDisplayPropsParams, GetPriceParams, GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { OriginDollarContractFactory, Veogv } from '../contracts';
export declare class EthereumOriginDollarGovernanceVoteEscrowedTokenFetcher extends AppTokenTemplatePositionFetcher<Veogv> {
    protected readonly appToolkit: IAppToolkit;
    private readonly contractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: OriginDollarContractFactory);
    getContract(address: string): Veogv;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<Veogv>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPrice({ appToken, contract, multicall }: GetPriceParams<Veogv>): Promise<number>;
    getPricePerShare({ appToken, contract, multicall }: GetPricePerShareParams<Veogv>): Promise<number[]>;
    getApy({ contract }: GetDataPropsParams<Veogv>): Promise<number>;
    getLabel(): Promise<string>;
    getImages({ appToken }: GetDisplayPropsParams<Veogv>): Promise<string[]>;
}
